//全选
var checked;
function CheckAll(checked)
{
	var chks = document.getElementsByTagName("input");	
	for(var i=0;i<chks.length;i++)
	{
		if(chks[i].id.indexOf('ChkBox')!=-1)
		{
			chks[i].checked = checked;            
			chks[i].parentNode.style.color = checked?'red':'black';
		}
		if(chks[i].type=='checkbox')
		{
			chks[i].checked = checked;
		} 
	}
}
//确认操作
function Confirm(Msg)
{
	if(confirm(Msg))
	{
		return true;
	}
	return false;
}
function chkreg(){
	if($("#username").val()==""){
		$("#username_msg").html("请输入用户名!");
		$('#username').focus();
		return false;
	}
	else if($("#username").val().length<6){
		$("#username_msg").html("会员用户名只能输入数字或字母,不少于6个字符!");
		$('#username').focus();
		return false;
	}
	else
		$("#username_msg").html("正确!");
		
	if($("#pwd").val()==""){
		$("#pwd_msg").html("请输入密码!");
		$('#pwd').focus();
		return false;
	}
	else if($("#pwd").val().length<6){
		$("#pwd_msg").html("密码不少于6个数字或字母!");
		$('#pwd').focus();
		return false;
	}
	else
		$("#pwd_msg").html("正确!");
		
	if($("#pwd2").val()==""){
		$("#pwd2_msg").html("请输入确认密码!");
		$('#pwd2').focus();
		return false;
	}
	else if($("#pwd2").val().length<6){
		$("#pwd2_msg").html("密码不少于6个数字或字母!");
		$('#pwd2').focus();
		return false;
	}
	else
		$("#pwd2_msg").html("正确!");
		
	if($("#pwd2").val()!=$("#pwd").val()){
		$("#pwd2_msg").html("两次密码不一致!");
		$('#pwd2').focus();
		return false;
	}
	else
		$("#pwd2_msg").html("正确!");
		
	if($("#email").val()==""){
		$("#email_msg").html("请输入E-mail!");
		$('#email').focus();
		return false;
	}
	else{
		var emailRegExp = new RegExp("[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?");
		if (!emailRegExp.test($("#email").val())||$("#email").val().indexOf('.')==-1){
			$("#email_msg").html("请输入正确的E-mail格式!");
			$("#email").focus();
			return false;
		}	
		else
			$("#email_msg").html("正确!");
	}
	if($("#ChkCode").val()==""){
		$("#ChkCode_msg").html("请输入验证码!");
		$('#ChkCode').focus();
		return false;
	}
	else
		$("#ChkCode_msg").html("");
		
	if($("#realname").val()==""){
		$("#realname_msg").html("请输入真实姓名!");
		$('#realname').focus();
		return false;
	}
	else
		$("#realname_msg").html("正确!");
		
	if($("#answer").val()==""){
		$("#answer_msg").html("请输入问题答案，用来找回密码!");
		$('#answer').focus();
		return false;
	}
	else
		$("#answer_msg").html("正确!");
		
	if($("#mtel").val()==""){
		$("#mtel_msg").html("请输入手机号码!");
		$('#mtel').focus();
		return false;
	}
	else
		$("#mtel_msg").html("");
		
	if($("#qq").val()==""){
		$("#qq_msg").html("请输入QQ号码!");
		$('#qq').focus();
		return false;
	}
	else
		$("#qq_msg").html("");
}

function chklogin(){
	if($("#username").val()==""){
		$("#username_msg").html("请输入用户名!");
		$('#username').focus();
		return false;
	}
	if($("#pwd").val()==""){
		$("#pwd_msg").html("请输入密码!");
		$('#pwd').focus();
		return false;
	}
	if($("#ChkCode").val()==""){
		$("#ChkCode_msg").html("请输入验证码!");
		$('#ChkCode').focus();
		return false;
	}
}
function chklogin2(){
	if($("#username").val()==""){
		$("#username_msg").html("请输入用户名!");
		$('#username').focus();
		return false;
	}
	if($("#pwd").val()==""){
		$("#pwd_msg").html("请输入密码!");
		$('#pwd').focus();
		return false;
	}
	if($("#ChkCode").val()==""){
		$("#ChkCode_msg").html("请输入验证码!");
		$('#ChkCode').focus();
		return false;
	}
}

function GetCity(id){
	$.ajax({
	   type: "Get",
	   url: "Ajax.asp",
	   data: "action=GetCity&id="+ id,
	   success: function(msg){			   
		   var ArrOption=new Array();
		   ArrOption=msg.split("{$}");	
	   	   $("#city").html(ArrOption[1]);		   
		   GetArea(ArrOption[0]);
	   }
	});
}
function GetArea(id){
	$.ajax({
	   type: "Get",
	   url: "Ajax.asp",
	   data: "action=GetArea&id="+ id,
	   success: function(msg){
	   	   $("#area").html(msg);
	   }
	});
}

function GetCity1(id){
	$.ajax({
	   type: "Get",
	   url: "Ajax.asp",
	   data: "action=GetCity&id="+ id,
	   success: function(msg){			   
		   var ArrOption=new Array();
		   ArrOption=msg.split("{$}");	
	   	   $("#cityid").html(ArrOption[1]);		   
		   GetArea(ArrOption[0]);
	   }
	});
}
function GetArea1(id){
	$.ajax({
	   type: "Get",
	   url: "Ajax.asp",
	   data: "action=GetArea&id="+ id,
	   success: function(msg){
	   	   $("#areaid").html(msg);
	   }
	});
}


function chkmodipwd(){
	if($("#oldpwd").val()==""){
		alert("请输入原密码!");
		$('#oldpwd').focus();
		return false;
	}
	if($("#newpwd").val()==""){
		alert("请输入新密码!");
		$('#newpwd').focus();
		return false;
	}
	if($("#newpwd1").val()==""){
		alert("请输入确认密码!");
		$('#newpwd1').focus();
		return false;
	}
	if($("#newpwd1").val()!=$("#newpwd").val()){
		alert("两次输入的密码不一致!");
		$('#newpwd1').focus();
		return false;
	}
}

function addcontrol(){
	rowcount=parseInt($("#RowsCount").val())+1;
	$("#RowsCount").val(rowcount);
	$("#upfiles").append('<input name="ImgTitle'+rowcount+'" type="text" value="附件说明" /><input type="text" name="ImgPath'+rowcount+'" id="ImgPath'+rowcount+'" class="txt" value="" /><input type="button" value="添加附件" class="btn2" onClick="window.open(\'inc/UpLoad.asp?formname=frm&EditName=ImgPath'+rowcount+'&filepath=House&fileType=gif,jpg,png\',\'\',\'status=no,scrollbars=no,top=20,left=110,width=420,height=165\')"><br />');
}

function chkzhaobiao(){
	if($("#Title").val()==""){
		alert("请输入项目名称!");
		$('#Title').focus();
		return false;
	}
	if($("#content").val()==""){
		alert("请输入项目描述!");
		$('#content').focus();
		return false;
	}
	if($("#areas").val()==""){
		alert("请输入建筑面积!");
		$('#areas').focus();
		return false;
	}
	if($("#Price").val()==""){
		alert("请输入预算评估!");
		$('#Price').focus();
		return false;
	}
	if($("#EndTime").val()==""){
		alert("请输入结束时间!");
		$('#EndTime').focus();
		return false;
	}
}

function chkaddzb(){
	if($("#content").val()==""){
		alert("请输入投标信息!");
		$('#content').focus();
		return false;
	}
}

function chkfeedback(){
	if($("#username").val()==""){
		alert("请输入联系人姓名!");
		$('#username').focus();
		return false;
	}
	if($("#tel").val()==""){
		alert("请输入联系电话!");
		$('#tel').focus();
		return false;
	}
	if($("#title").val()==""){
		alert("请输入留言主题!");
		$('#title').focus();
		return false;
	}
	if($("#content").val()==""){
		alert("请输入留言内容!");
		$('#content').focus();
		return false;
	}
}

function showdiv(txtid){
	$("#overlay").css("display","block");
	$("#overlay").css("height",document.body.scrollHeight+"px");
	$("#lightbox").css("display","block");
	$("#lightbox").html($("#"+txtid).html());
}

function hiddenlogin(){
	$("#overlay").css("display","none");
	$("#lightbox").css("display","none");
}

function showreg(userclassid){
	if(userclassid==1)
		$("#com").css("display","none");
	else
		$("#com").css("display","block");
}

function chkask(){
	if($("#content").val()==""){
		alert("请输入回复内容!");
		$('#content').focus();
		return false;
	}
}

function showItem(num){
	 if(num==2){
		 $("#item1").css("display","block");
		 $("#item2").css("display","block");
		 $("#item3").css("display","block");
		 $("#item4").css("display","block");
	 }
	 else{
		 $("#item1").css("display","none");
		 $("#item2").css("display","none");
		 $("#item3").css("display","none");
		 $("#item4").css("display","none");
	}
}